Last modified: 2014-06-01 12:49:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21511 - Document all parameters that can be used in LocalSettings.php
Document all parameters that can be used in LocalSettings.php
Status: RESOLVED INVALID
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Low minor (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2009-11-14 20:59 UTC by Thomas Bleher
Modified: 2014-06-01 12:49 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Thomas Bleher 2009-11-14 20:59:12 UTC
While trying out a new version of the UsabilityInitiative extension, I found that some variables that can be set in LocalSettings.php are not documented. They should be added to the README file.

Specifically, at least the following settings are undocumented:
$wgDefaultUserOptions['wikieditor-highlight'] = 1;
$wgDefaultUserOptions['wikieditor-preview'] = 1;
$wgDefaultUserOptions['usebetatoolbar'] = 1;
$wgDefaultUserOptions['usebetatoolbar-cgd'] = 1;
$wgNavigableTOCCollapseEnable = true;
$wgNavigableTOCResizable = true;

There may be more which I didn't find.
Comment 1 Roan Kattouw 2009-11-14 22:56:28 UTC
We're aware of this, there's some FIXME comments in the README file. While we do make an effort to make our code usable for other people, it's not our top priority, especially while MediaWiki 1.16 hasn't been released yet. So we'll get to documenting stuff properly eventually, but it could take some more time.
Comment 2 Thomas Bleher 2009-11-15 20:54:25 UTC
I fully understand that. It's just that I find your work pretty amazing and want to have it on my wiki as soon as possible :) By sometimes testing the current state and reporting the issues I find, I hope to help you and make sure that your work is usable outside wikimedia in the not too distant future.

My hope is that these bugreports serve as friendly reminders and don't annoy you. If they do annoy you, please tell me, so I can be more careful in the future.

Thanks for your wonderful work!
Comment 3 Roan Kattouw 2009-11-16 12:02:56 UTC
(In reply to comment #2)
> I fully understand that. It's just that I find your work pretty amazing and
> want to have it on my wiki as soon as possible :)
Yay!

> By sometimes testing the
> current state and reporting the issues I find, I hope to help you and make sure
> that your work is usable outside wikimedia in the not too distant future.
> 
> My hope is that these bugreports serve as friendly reminders and don't annoy
> you. If they do annoy you, please tell me, so I can be more careful in the
> future.
> 
> Thanks for your wonderful work!
> 
We're always happy to receive bug reports, don't hold back on any because we'd maybe be annoyed. Of course we have to prioritize, so some bug reports rot longer than others.
Comment 4 Bugmeister Bot 2011-08-19 19:12:47 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 5 sakshi.april5 2013-10-29 10:40:50 UTC
Hello, 
I am a beginner and would like to fix this bug. Also where exactly should we add these lines in the README file?
Comment 6 Andre Klapper 2013-10-31 17:37:32 UTC
(In reply to comment #5)
> Also where exactly should we add these lines in the README file?

Probably https://www.mediawiki.org/wiki/Manual:LocalSettings.php instead. 
Which exact README file do you refer to?
Comment 7 sakshi.april5 2013-11-02 03:52:12 UTC
So these variables need to be set in LocalSettings.php and be documented in the http://localhost/mediawiki-1.21.2/README

Is there any specific location in the LocalSettings.php file where these variables need to be added?
Comment 8 Dror S. 2014-03-19 22:20:37 UTC
Andre, I believe this bug should be closed as invalid. It seems it was opened because configuration options for Ext:UsabilityInitiative  weren't documented, but the description somehow expands the scope to the entire configuration of Mediawiki... which is mostly documented in DefaultSettings.php and somewhat documented on-wiki. Of course extensions have their own separate documentation :-)
Comment 9 Thomas Bleher 2014-06-01 12:49:14 UTC
> Andre, I believe this bug should be closed as invalid. It seems it was opened 
> because configuration options for Ext:UsabilityInitiative  weren't documented, 
> but the description somehow expands the scope to the entire configuration of 
> Mediawiki... which is mostly documented in DefaultSettings.php and somewhat 
> documented on-wiki. Of course extensions have their own separate documentation :-)

Yes, I'm closing it as invalid. The bug was opened against the UsabilityInitiative extension, but reassigned about a year ago, presumably when the UsabilityInitiative component was removed from Bugzilla. I think the general documentation in DefaultSettings.php is OK as is.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links